default:
  tags:
    - pipeline

include:
  - project: 'Linaro/lkft/pipelines/lkft-common'
    file:
      - '/bootstrap.yml'
      - '/build-plan.yml'

variables:
  # TODO: Remove this when we've screamed high enough for more HW in the lab.
  LAVA_JOB_PRIORITY: 26
  LATEST_GOOD: "origin/stable"
  SQUAD_REPORTS: "linux-stable-rc kselftest kselftest-arm report-full report"

# This will only build and test branches specified here.
workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'
      when: always
    - when: never

stages:
  - download_prerequisites
  - prerequisites
  - build
  - sanity
  - test
  - report
  - review
  - upstream
